イベント一覧・検索

GET/events

イベントを多彩なフィルタで検索・一覧取得します。公開レスポンスでは startTime / endTime / onlineUrl は含まれず、開催日時は schedules を参照します。groupByDate=true で開催日単位のグループ形状になります。

認証不要

クエリパラメータ

pagenumber

ページ番号(1 始まり)。デフォルト 1

perPagenumber

1 ページあたりの件数。デフォルト 20

timeFilter'upcoming' | 'past'

開催時期で絞り込み

isPaidstring

有料/無料(true / false、カンマ区切り可)

qstring

キーワード(title / description / slug、AND)

tagsstring

タグ(カンマ区切り、OR マッチ)

parentEventIdstring

サイドイベントの親イベント ID

playlistIdstring

プレイリスト内イベントに限定

startDate / endDatestring (YYYY-MM-DD)

開催期間の重なりで絞り込み

featured'true'

注目のみ

groupByDate'true'

開催日単位でグループ化

bboxstring

地図範囲 minLng,minLat,maxLng,maxLat

レスポンス

フィールド説明
eventsEvent[]イベント配列(tags / isPaid / hasEnded 付き)
pageInfoobjectページ情報(totalCount / totalPages / page / perPage)
dateGroupsobject[]groupByDate=true 時。{ date, events } の配列
リクエスト
curl https://api.4s.link/events \
-H "Authorization: Bearer 4s_at_..."
レスポンス例
{
"events": [
{
"id": "e1f2a3b4-...",
"title": "4S Tech Conference 2026",
"catchphrase": "...",
"eventType": "ONSITE",
"state": "PUBLISHED",
"slug": "tech-conf-2026",
"schedules": [{ "startTime": "...", "endTime": "..." }],
"location": { "name": "..." },
"thumbnailUrl": "https://.../thumb.png",
"organizers": [],
"tickets": [],
"tags": ["tech"],
"isPaid": false,
"hasEnded": false
}
],
"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }
}